VMware Fusion + ATI = Don't upgrade Mac OS X

Mac machines with ATI graphics cards aren't playing nice with VMware Fusion when Mac OS X upgrade to 10.5.7 is installed. Bad things could happen

VMware Fusion gives Intel-based Mac users the opportunity to run Windows and Linux applications seamlessly within Mac OS X, without going through the pain of rebooting the machine thanks to virtualization.

But if your Mac has an ATI graphics card or chip, VMware is warning Fusion users to stay clear of installing the latest update to Mac OS X 10.5.7. The update seems to be causing erratic behavior such as system crashes, slow performance, and incorrect rendering. Nvidia-equipped systems do not appear to be affected by this issue.

[ Parallels to offer XP compatibility for Win 7 | Track the latest trends in virtualization in InfoWorld's Virtualization Report blog and newsletter | Find out about a VMware Fusion bug that breaches the guest-host OS wall ]

In the meantime, if you find yourself in this boat, VMware's corporate blog offers two possible solutions:

1. If you need VMware Fusion's 3D features to work, hold off on upgrading your Mac OS X. Don't upgrade to Version 10.5.7 right now.

or

2. If you don't need 3-D capabilities within your Windows applications, go ahead and turn off the 3D Acceleration feature in the Virtual Machine Settings. After doing so, you can safely upgrade to Mac OS X 10.5.7.

Both Apple and ATI are aware of the problem, and they are working to correct it in a future software update. So hang in there!

Parallels, on the other hand, which offers a competing product with VMware called Parallels Desktop 4.0 for Mac, told their users that they could safely upgrade to Mac OS X 10.5.7. Parallels ran similar tests for the issue within its own environments but saw no such problems.

Recommended
Join the discussion
Be the first to comment on this article. Our Commenting Policies